summaryrefslogtreecommitdiffstats
path: root/source/d/nasm/nasm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/nasm/nasm.SlackBuild')
-rwxr-xr-xsource/d/nasm/nasm.SlackBuild4
1 files changed, 4 insertions, 0 deletions
diff --git a/source/d/nasm/nasm.SlackBuild b/source/d/nasm/nasm.SlackBuild
index f52d2aa53..458cabb8a 100755
--- a/source/d/nasm/nasm.SlackBuild
+++ b/source/d/nasm/nasm.SlackBuild
@@ -59,6 +59,10 @@ cd $TMP
rm -rf nasm-$VERSION
tar xvf $CWD/nasm-$VERSION.tar.?z* || exit 1
cd nasm-$VERSION || exit 1
+
+# Fix FTBFS with gcc8:
+zcat $CWD/0001-Remove-invalid-pure_func-qualifiers.patch.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \